Bug 215292 - net-mgmt/ccnet-server: Cloned port from net-mgmt/ccnet
Summary: net-mgmt/ccnet-server: Cloned port from net-mgmt/ccnet
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL: https://github.com/haiwen/ccnet-server
Keywords: patch-ready
Depends on:
Blocks: 215293 215294
  Show dependency treegraph
 
Reported: 2016-12-14 03:40 UTC by Ultima
Modified: 2016-12-25 17:52 UTC (History)
2 users (show)

See Also:


Attachments
ccnet-server.diff (22.48 KB, patch)
2016-12-14 03:40 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2016-12-14 03:40:46 UTC
Created attachment 177954 [details]
ccnet-server.diff

This is a new port that was cloned from net-mgmt/ccnet with regenerated patch files and updated pkg-desc / comment. Why was this cloned? Seafile decided to split the client and server repos thus why a cloned port was created.

testing: I have tested the update proccess from 6.0.0 --> 6.0.4 (seahub and ccnet/seafile depends) and went smooth. I'v also created a fresh jail and created a fresh install and worked as expected.     More testing always welcome of course.


pkg-desc:
Ccnet is a framework for writing networked applications in C. It provides
the services of peer identification, connection management, service
invocation, and message sending. In ccnet network, there are two types of
nodes, i.e., client and server. Server has the following functions, User
management, Group management.

WWW: https://github.com/haiwen/ccnet-server



portlint -AC:
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
0 fatal errors and 1 warning found.

poudriere bulk:
12amd64: success
12i386: success
110amd64: success
110i386: success
103amd64: success
103i386: success
93amd64: success
93i386: success
Comment 1 Thomas Zander freebsd_committer 2016-12-17 16:54:19 UTC
Just to be clear, do you want to retire net-mgmt/ccnet and have net-mgmt/ccnet-server instead?
Comment 2 Ultima 2016-12-17 18:39:59 UTC
(In reply to Thomas Zander from comment #1)
 The netmgmt/ccnet and netmgmt/seafile port will turn into a client ports. Have an update that i'm currently testing. If they all is well during the tests, will be posted with the bug #215294 as a depend.


 The reason they are being cloned instead of modified and/or changed at the same time is to prevent breakage due to upgrading between the several revisions coming. I hope this sounds more logical.
Comment 3 Thomas Zander freebsd_committer 2016-12-18 12:58:36 UTC
(In reply to Ultima from comment #2)

Okay, the additional info helps.
So in the end, when all the changes are in place, we should have:

net-mgmt/ccnet-client
net-mgmt/ccnet-server
net-mgmt/seafile-client
net-mgmt/seafile-server
www/seahub

All of those should be installable on a machine at the same time with no conflicts. Since the dependencies to(wards) other ports are very limited, it should be possible to perform all the required updates without breaking anything else. Do you think it's feasible to provide a set of five patches to accomplish this?
Comment 4 Ultima 2016-12-18 19:36:31 UTC
(In reply to Thomas Zander from comment #3)
 Wasn't planning on changing the -client port names because upstream has not done so. However this is a simple task and will help prevent any confusion. Patch files updated.

 My goal was to have all the ports conflict free. However, decided to address this upstream so that may take more time to achieve.

Currently the conflicts are as followed.
net-mgmt/ccnet: Conflicts with net-mgmt/ccnet-server
net-mgmt/seafile: Conflicts with net-mgmt/seafile-server


 There should be no breakage at all if applied in proper order. The last two patch files net-mgmt/ccnet and net-mgmt/seafile may have caused issues because I was generating them without others being committed. Generated them with diff instead of svn diff so this issue should be resolved.


If a single patch file is desired, this can be done instead. At the beginning of my porting experience I was under the impression that was frowned upon.
Comment 5 commit-hook freebsd_committer 2016-12-25 14:39:08 UTC
A commit references this bug:

Author: riggs
Date: Sun Dec 25 14:38:36 UTC 2016
New revision: 429432
URL: https://svnweb.freebsd.org/changeset/ports/429432

Log:
  Prepare split of net-mgmt/ccnet in client / server ports; update to 6.0.6

  PR:		215292
  Submitted by:	Ultima1252@gmail.com (maintainer)

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/ccnet-server/
  head/net-mgmt/ccnet-server/Makefile
  head/net-mgmt/ccnet-server/distinfo
  head/net-mgmt/ccnet-server/files/patch-Makefile.am
  head/net-mgmt/ccnet-server/files/patch-configure.ac
  head/net-mgmt/ccnet-server/files/patch-lib_Makefile.am
  head/net-mgmt/ccnet-server/files/patch-lib_net.c
  head/net-mgmt/ccnet-server/files/patch-lib_utils.c
  head/net-mgmt/ccnet-server/files/patch-net_common_getgateway.c
  head/net-mgmt/ccnet-server/pkg-descr
  head/net-mgmt/ccnet-server/pkg-plist
Comment 6 commit-hook freebsd_committer 2016-12-25 17:52:59 UTC
A commit references this bug:

Author: riggs
Date: Sun Dec 25 17:52:12 UTC 2016
New revision: 429448
URL: https://svnweb.freebsd.org/changeset/ports/429448

Log:
  Register CONFLICTS with ccnet-server

  PR:		215292

Changes:
  head/net-mgmt/ccnet/Makefile